package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应急预案库对象 flood_emergency_plan
 *
 * @author jackeyhuang
 * @version 1.0.0
 * @date 2025-01-27
 */
public class FloodEmergencyPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预案ID */
    private Long planId;

    /** 预案等级 */
    @Excel(name = "预案等级")
    private String planLevel;

    /** 预案名称 */
    @Excel(name = "预案名称")
    private String planName;

    /** 预案地址 */
    @Excel(name = "预案地址")
    private String planUrl;

    /** 预案描述 */
    @Excel(name = "预案描述")
    private String planDesc;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public void setPlanId(Long planId)
    {
        this.planId = planId;
    }

    public Long getPlanId()
    {
        return planId;
    }

    public void setPlanLevel(String planLevel)
    {
        this.planLevel = planLevel;
    }

    public String getPlanLevel()
    {
        return planLevel;
    }

    public void setPlanName(String planName)
    {
        this.planName = planName;
    }

    public String getPlanName()
    {
        return planName;
    }

    public void setPlanUrl(String planUrl)
    {
        this.planUrl = planUrl;
    }

    public String getPlanUrl()
    {
        return planUrl;
    }

    public void setPlanDesc(String planDesc)
    {
        this.planDesc = planDesc;
    }

    public String getPlanDesc()
    {
        return planDesc;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("planId", getPlanId())
            .append("planLevel", getPlanLevel())
            .append("planName", getPlanName())
            .append("planUrl", getPlanUrl())
            .append("planDesc", getPlanDesc())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
